PREFIX rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#>
PREFIX dot: <https://w3id.org/dot#>
PREFIX udo: <https://wisib.de/ontologie/damage/udo#>

SELECT ?damage ?component
WHERE {
	{?damage rdf:type dot:StructuralDamage .
	 ?component dot:hasDamage ?damage }
	UNION
	{?damage rdf:type dot:StructuralDamage .
	 ?component udo:hasUndetectedCrack ?damage }
	UNION
	{?damage rdf:type dot:StructuralDamage .
	 ?component udo:hasUndetectedReinforcementCorrosion ?damage }
	UNION
	{?damage rdf:type dot:StructuralDamage .
	 ?component udo:hasUndetectedStressCorrosion ?damage }
	UNION
	{?damage rdf:type dot:StructuralDamage .
	 ?component udo:hasUndetectedSulfateAttack ?damage }
}
