PREFIX cm: <https://wisibde/ontologie/rules/crackMaterial#> 
PREFIX cdo: <https://wisibde/ontologie/damage/cdo#> 
PREFIX rdf: <http://wwww3org/1999/02/22-rdf-syntax-ns#> 
PREFIX rdfs: <http://wwww3org/2000/01/rdf-schema#> 
PREFIX sh: <http://wwww3org/ns/shacl#> 
PREFIX dot: <http://wwww3idorg/dot#> 

SELECT ?crackDepthRule ?crackProperty
WHERE {
	?focusNode rdf:type cdo:Crack .
	?focusNode sh:rule ?crackDepthRule .
	?crackDepthRule sh:condition ?conditionNode .
	?conditionNode sh:property ?crackProperty .
	?crackProperty sh:path cdo:crackDepth .
}
